Package org.apache.sysds.runtime.instructions.cp

## Enum AggregateUnaryCPInstruction.AUType

- java.lang.Object
- - java.lang.Enum<AggregateUnaryCPInstruction.AUType>
  - - org.apache.sysds.runtime.instructions.cp.AggregateUnaryCPInstruction.AUType

All Implemented Interfaces:
  `Serializable`, `Comparable<AggregateUnaryCPInstruction.AUType>`

Enclosing class:
  AggregateUnaryCPInstruction

    public static enum AggregateUnaryCPInstruction.AUType
    extends Enum<AggregateUnaryCPInstruction.AUType>

### Enum Constant Summary

Enum Constants
`COUNT_DISTINCT`
`COUNT_DISTINCT_APPROX`
`DEFAULT`
`EXISTS`
`LENGTH`
`LINEAGE`
`NCOL`
`NROW`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isMeta()`
`static AggregateUnaryCPInstruction.AUType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static AggregateUnaryCPInstruction.AUType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NROW

    public static final AggregateUnaryCPInstruction.AUType NROW

#### NCOL

    public static final AggregateUnaryCPInstruction.AUType NCOL

#### LENGTH

    public static final AggregateUnaryCPInstruction.AUType LENGTH

#### EXISTS

    public static final AggregateUnaryCPInstruction.AUType EXISTS

#### LINEAGE

    public static final AggregateUnaryCPInstruction.AUType LINEAGE

#### COUNT_DISTINCT

    public static final AggregateUnaryCPInstruction.AUType COUNT_DISTINCT

#### COUNT_DISTINCT_APPROX

    public static final AggregateUnaryCPInstruction.AUType COUNT_DISTINCT_APPROX

#### DEFAULT

    public static final AggregateUnaryCPInstruction.AUType DEFAULT

### Method Detail

#### values

    public static AggregateUnaryCPInstruction.AUType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AggregateUnaryCPInstruction.AUType c : AggregateUnaryCPInstruction.AUType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AggregateUnaryCPInstruction.AUType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isMeta

    public boolean isMeta()